{
  nixpkgs,
  nurpkgs,
  home-manager,
  devenv,
  nixvim,
  ...
}: let
  pkgs = import nixpkgs rec {
    system = "x86_64-linux";
    overlays = [(final: prev: {nixvim = nixvim.packages.${system}.default;}) nurpkgs.overlays.default];
  };

  nur = import nurpkgs {
    inherit pkgs;
    nurpkgs = pkgs;
  };
in {
  work = home-manager.lib.homeManagerConfiguration {
    inherit pkgs;

    extraSpecialArgs = {
      inherit devenv; # TODO: Remove dependency on devenv
      ff-addons = nur.repos.rycee.firefox-addons;
    };

    modules = [
      ../home-modules/modules-list.nix
      ./work
    ];
  };

  framework = home-manager.lib.homeManagerConfiguration {
    inherit pkgs;

    modules = [
      ../home-modules/modules-list.nix
      ./framework
    ];
  };
}
