{...}: {
  programs.alacritty = {
    enable = true;

    settings = {
      general.live_config_reload = true;
      env.TERM = "xterm-256color";
      bell.duration = 0;
      cursor.style = "Block";

      scrolling = {
        history = 10000;
        multiplier = 3;
      };

      window = {
        decorations = "full";
        dynamic_title = false;
        opacity = 0.9;

        dimensions = {
          columns = 0;
          lines = 0;
        };

        padding = {
          x = 2;
          y = 2;
        };
      };

      font = {
        size = 11.0;

        normal = {
          family = "Comic Mono Nerd Font";
          style = "Regular";
        };

        bold = {
          family = "Comic Mono Nerd Font";
          style = "Bold";
        };

        italic = {
          family = "Comic Mono Nerd Font";
          style = "Italic";
        };
      };

      mouse.bindings = [
        {
          mouse = "Middle";
          action = "PasteSelection";
        }
      ];

      colors = {
        primary = {
          background = "0x000000";
          foreground = "0xeaeaea";
        };

        normal = {
          black = "0x000000";
          red = "0xd54e53";
          green = "0xb9ca4a";
          yellow = "0xe6c547";
          blue = "0x7aa6da";
          magenta = "0xc397d8";
          cyan = "0x70c0ba";
          white = "0xffffff";
        };

        bright = {
          black = "0x666666";
          red = "0xff3334";
          green = "0x9ec400";
          yellow = "0xe7c547";
          blue = "0x7aa6da";
          magenta = "0xb77ee0";
          cyan = "0x54ced6";
          white = "0xffffff";
        };

        dim = {
          black = "0x333333";
          red = "0xf2777a";
          green = "0x99cc99";
          yellow = "0xffcc66";
          blue = "0x6699cc";
          magenta = "0xcc99cc";
          cyan = "0x66cccc";
          white = "0xdddddd";
        };
      };
    };
  };
}
